STC changes to make smoke test more reliable

Change-Id: I8ecf2581b12e618bf3fe41baedf5c5decdd77221
diff --git a/tools/test/scenarios/bin/curl-with-retry b/tools/test/scenarios/bin/curl-with-retry
new file mode 100755
index 0000000..c9546ae
--- /dev/null
+++ b/tools/test/scenarios/bin/curl-with-retry
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+aux=/tmp/stc-$$.log
+trap "rm -f $aux 2>/dev/null" EXIT
+
+url=$1
+
+
+echo curl-with-retry: $*
+
+set -x
+for i in {1..3}; do
+    curl -f -uonos:rocks ${url} >$aux
+    if [ $? = 0 ]; then
+        cat $aux
+        exit 0
+    fi
+    sleep 1
+done
+
+cat $aux
+exit 1
+